<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>TIOVX Tutorials: phase_rgb_target_kernel.c Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<img src="ti_logo.gif">
<tr bgcolor="#CCCCCC"> 
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<!-- Generated by Doxygen 1.6.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
    </ul>
  </div>
<h1>phase_rgb_target_kernel.c</h1><a href="phase__rgb__target__kernel_8c.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/*</span>
<a name="l00002"></a>00002 <span class="comment">*</span>
<a name="l00003"></a>00003 <span class="comment">* Copyright (c) 2017 Texas Instruments Incorporated</span>
<a name="l00004"></a>00004 <span class="comment">*</span>
<a name="l00005"></a>00005 <span class="comment">* All rights reserved not granted herein.</span>
<a name="l00006"></a>00006 <span class="comment">*</span>
<a name="l00007"></a>00007 <span class="comment">* Limited License.</span>
<a name="l00008"></a>00008 <span class="comment">*</span>
<a name="l00009"></a>00009 <span class="comment">* Texas Instruments Incorporated grants a world-wide, royalty-free, non-exclusive</span>
<a name="l00010"></a>00010 <span class="comment">* license under copyrights and patents it now or hereafter owns or controls to make,</span>
<a name="l00011"></a>00011 <span class="comment">* have made, use, import, offer to sell and sell (&quot;Utilize&quot;) this software subject to the</span>
<a name="l00012"></a>00012 <span class="comment">* terms herein.  With respect to the foregoing patent license, such license is granted</span>
<a name="l00013"></a>00013 <span class="comment">* solely to the extent that any such patent is necessary to Utilize the software alone.</span>
<a name="l00014"></a>00014 <span class="comment">* The patent license shall not apply to any combinations which include this software,</span>
<a name="l00015"></a>00015 <span class="comment">* other than combinations with devices manufactured by or for TI (&quot;TI Devices&quot;).</span>
<a name="l00016"></a>00016 <span class="comment">* No hardware patent is licensed hereunder.</span>
<a name="l00017"></a>00017 <span class="comment">*</span>
<a name="l00018"></a>00018 <span class="comment">* Redistributions must preserve existing copyright notices and reproduce this license</span>
<a name="l00019"></a>00019 <span class="comment">* (including the above copyright notice and the disclaimer and (if applicable) source</span>
<a name="l00020"></a>00020 <span class="comment">* code license limitations below) in the documentation and/or other materials provided</span>
<a name="l00021"></a>00021 <span class="comment">* with the distribution</span>
<a name="l00022"></a>00022 <span class="comment">*</span>
<a name="l00023"></a>00023 <span class="comment">* Redistribution and use in binary form, without modification, are permitted provided</span>
<a name="l00024"></a>00024 <span class="comment">* that the following conditions are met:</span>
<a name="l00025"></a>00025 <span class="comment">*</span>
<a name="l00026"></a>00026 <span class="comment">* *       No reverse engineering, decompilation, or disassembly of this software is</span>
<a name="l00027"></a>00027 <span class="comment">* permitted with respect to any software provided in binary form.</span>
<a name="l00028"></a>00028 <span class="comment">*</span>
<a name="l00029"></a>00029 <span class="comment">* *       any redistribution and use are licensed by TI for use only with TI Devices.</span>
<a name="l00030"></a>00030 <span class="comment">*</span>
<a name="l00031"></a>00031 <span class="comment">* *       Nothing shall obligate TI to provide you with source code for the software</span>
<a name="l00032"></a>00032 <span class="comment">* licensed and provided to you in object code.</span>
<a name="l00033"></a>00033 <span class="comment">*</span>
<a name="l00034"></a>00034 <span class="comment">* If software source code is provided to you, modification and redistribution of the</span>
<a name="l00035"></a>00035 <span class="comment">* source code are permitted provided that the following conditions are met:</span>
<a name="l00036"></a>00036 <span class="comment">*</span>
<a name="l00037"></a>00037 <span class="comment">* *       any redistribution and use of the source code, including any resulting derivative</span>
<a name="l00038"></a>00038 <span class="comment">* works, are licensed by TI for use only with TI Devices.</span>
<a name="l00039"></a>00039 <span class="comment">*</span>
<a name="l00040"></a>00040 <span class="comment">* *       any redistribution and use of any object code compiled from the source code</span>
<a name="l00041"></a>00041 <span class="comment">* and any resulting derivative works, are licensed by TI for use only with TI Devices.</span>
<a name="l00042"></a>00042 <span class="comment">*</span>
<a name="l00043"></a>00043 <span class="comment">* Neither the name of Texas Instruments Incorporated nor the names of its suppliers</span>
<a name="l00044"></a>00044 <span class="comment">*</span>
<a name="l00045"></a>00045 <span class="comment">* may be used to endorse or promote products derived from this software without</span>
<a name="l00046"></a>00046 <span class="comment">* specific prior written permission.</span>
<a name="l00047"></a>00047 <span class="comment">*</span>
<a name="l00048"></a>00048 <span class="comment">* DISCLAIMER.</span>
<a name="l00049"></a>00049 <span class="comment">*</span>
<a name="l00050"></a>00050 <span class="comment">* THIS SOFTWARE IS PROVIDED BY TI AND TI&apos;S LICENSORS &quot;AS IS&quot; AND ANY EXPRESS</span>
<a name="l00051"></a>00051 <span class="comment">* OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES</span>
<a name="l00052"></a>00052 <span class="comment">* OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.</span>
<a name="l00053"></a>00053 <span class="comment">* IN NO EVENT SHALL TI AND TI&apos;S LICENSORS BE LIABLE FOR ANY DIRECT, INDIRECT,</span>
<a name="l00054"></a>00054 <span class="comment">* INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,</span>
<a name="l00055"></a>00055 <span class="comment">* BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,</span>
<a name="l00056"></a>00056 <span class="comment">* DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY</span>
<a name="l00057"></a>00057 <span class="comment">* OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE</span>
<a name="l00058"></a>00058 <span class="comment">* OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED</span>
<a name="l00059"></a>00059 <span class="comment">* OF THE POSSIBILITY OF SUCH DAMAGE.</span>
<a name="l00060"></a>00060 <span class="comment">*</span>
<a name="l00061"></a>00061 <span class="comment">*/</span>
<a name="l00062"></a>00062 
<a name="l00090"></a>00090 <span class="preprocessor">#include &lt;TI/tivx.h&gt;</span>
<a name="l00091"></a>00091 <span class="preprocessor">#include &lt;VX/vx.h&gt;</span>
<a name="l00092"></a>00092 <span class="preprocessor">#include &lt;TI/tivx_target_kernel.h&gt;</span>
<a name="l00093"></a>00093 <span class="preprocessor">#include &lt;<a class="code" href="vx__tutorial__kernels_8h.html">vx_tutorial_kernels.h</a>&gt;</span>
<a name="l00094"></a>00094 
<a name="l00096"></a><a class="code" href="phase__rgb__target__kernel_8c.html#a1c5d48e1731ea694529e9a0d772ce57f">00096</a> <span class="preprocessor">#define PHASE_RGB_IN0_IMG_IDX   (0u)</span>
<a name="l00097"></a>00097 <span class="preprocessor"></span>
<a name="l00099"></a><a class="code" href="phase__rgb__target__kernel_8c.html#a1182feec6c80e38d758f284916141a9c">00099</a> <span class="preprocessor">#define PHASE_RGB_OUT0_IMG_IDX  (1u)</span>
<a name="l00100"></a>00100 <span class="preprocessor"></span>
<a name="l00102"></a><a class="code" href="phase__rgb__target__kernel_8c.html#abee2067a26206b5dfb54f3d00f04fe2a">00102</a> <span class="preprocessor">#define PHASE_RGB_MAX_PARAMS    (2u)</span>
<a name="l00103"></a>00103 <span class="preprocessor"></span>
<a name="l00107"></a><a class="code" href="phase__rgb__target__kernel_8c.html#af39e389b0e30c41e703a7100ad025fbe">00107</a> <span class="keyword">static</span> tivx_target_kernel <a class="code" href="phase__rgb__target__kernel_8c.html#af39e389b0e30c41e703a7100ad025fbe" title="Target kernel handle [static global].">phase_rgb_target_kernel</a> = NULL;
<a name="l00108"></a>00108 
<a name="l00117"></a><a class="code" href="phase__rgb__target__kernel_8c.html#aa7f2b3c5cb1853a9e491483616a93fe8">00117</a> vx_status VX_CALLBACK <a class="code" href="phase__rgb__target__kernel_8c.html#aa7f2b3c5cb1853a9e491483616a93fe8" title="Target kernel run function.">vxTutotrialPhaseRgb</a>(
<a name="l00118"></a>00118     tivx_target_kernel_instance kernel, tivx_obj_desc_t *obj_desc[],
<a name="l00119"></a>00119     uint16_t num_params, <span class="keywordtype">void</span> *priv_arg)
<a name="l00120"></a>00120 {
<a name="l00121"></a>00121     vx_status status = VX_SUCCESS;
<a name="l00122"></a>00122     tivx_obj_desc_image_t *src_desc, *dst_desc;
<a name="l00123"></a>00123 
<a name="l00124"></a>00124     <span class="keywordflow">if</span> ((num_params != <a class="code" href="phase__rgb__user__kernel_8c.html#abee2067a26206b5dfb54f3d00f04fe2a" title="Total number of parameters for this function.">PHASE_RGB_MAX_PARAMS</a>)
<a name="l00125"></a>00125         || (NULL == obj_desc[<a class="code" href="phase__rgb__user__kernel_8c.html#a1c5d48e1731ea694529e9a0d772ce57f" title="Index of input image in parameter list.">PHASE_RGB_IN0_IMG_IDX</a>])
<a name="l00126"></a>00126         || (NULL == obj_desc[<a class="code" href="phase__rgb__user__kernel_8c.html#a1182feec6c80e38d758f284916141a9c" title="Index of output image in parameter list.">PHASE_RGB_OUT0_IMG_IDX</a>])
<a name="l00127"></a>00127         )
<a name="l00128"></a>00128     {
<a name="l00129"></a>00129         status = VX_FAILURE;
<a name="l00130"></a>00130     }
<a name="l00131"></a>00131     <span class="keywordflow">else</span>
<a name="l00132"></a>00132     {
<a name="l00133"></a>00133         <span class="comment">/* Get the Src and Dst descriptors */</span>
<a name="l00134"></a>00134         src_desc = (tivx_obj_desc_image_t *)obj_desc[PHASE_RGB_IN0_IMG_IDX];
<a name="l00135"></a>00135         dst_desc = (tivx_obj_desc_image_t *)obj_desc[PHASE_RGB_OUT0_IMG_IDX];
<a name="l00136"></a>00136 
<a name="l00137"></a>00137         <span class="comment">/* Get the target pointer from the shared pointer for all</span>
<a name="l00138"></a>00138 <span class="comment">           buffers */</span>
<a name="l00139"></a>00139         src_desc-&gt;mem_ptr[0].target_ptr = tivxMemShared2TargetPtr(
<a name="l00140"></a>00140             src_desc-&gt;mem_ptr[0].shared_ptr, src_desc-&gt;mem_ptr[0].mem_type);
<a name="l00141"></a>00141         dst_desc-&gt;mem_ptr[0].target_ptr = tivxMemShared2TargetPtr(
<a name="l00142"></a>00142             dst_desc-&gt;mem_ptr[0].shared_ptr, dst_desc-&gt;mem_ptr[0].mem_type);
<a name="l00143"></a>00143 
<a name="l00144"></a>00144         <span class="comment">/* Map all buffers, which invalidates the cache */</span>
<a name="l00145"></a>00145         tivxMemBufferMap(src_desc-&gt;mem_ptr[0].target_ptr,
<a name="l00146"></a>00146             src_desc-&gt;mem_size[0], src_desc-&gt;mem_ptr[0].mem_type,
<a name="l00147"></a>00147             VX_READ_ONLY);
<a name="l00148"></a>00148         tivxMemBufferMap(dst_desc-&gt;mem_ptr[0].target_ptr,
<a name="l00149"></a>00149             dst_desc-&gt;mem_size[0], dst_desc-&gt;mem_ptr[0].mem_type,
<a name="l00150"></a>00150             VX_WRITE_ONLY);
<a name="l00151"></a>00151 
<a name="l00152"></a>00152         <span class="comment">/* Run function for complete image, ROI is ignored in this example */</span>
<a name="l00153"></a>00153         {
<a name="l00154"></a>00154             vx_uint32 x, y, width, height;
<a name="l00155"></a>00155             vx_uint8 *in_data_ptr, *out_data_ptr;
<a name="l00156"></a>00156             vx_uint8 *in_pixel, *out_pixel;
<a name="l00157"></a>00157 
<a name="l00158"></a>00158             in_data_ptr = src_desc-&gt;mem_ptr[0].target_ptr;
<a name="l00159"></a>00159             out_data_ptr = dst_desc-&gt;mem_ptr[0].target_ptr;
<a name="l00160"></a>00160 
<a name="l00161"></a>00161             width = dst_desc-&gt;imagepatch_addr[0U].dim_x;
<a name="l00162"></a>00162             height = dst_desc-&gt;imagepatch_addr[0U].dim_y;
<a name="l00163"></a>00163 
<a name="l00164"></a>00164             <span class="keywordflow">for</span>(y=0; y&lt;height; y++)
<a name="l00165"></a>00165             {
<a name="l00166"></a>00166                 in_pixel = in_data_ptr;
<a name="l00167"></a>00167                 out_pixel = out_data_ptr;
<a name="l00168"></a>00168 
<a name="l00169"></a>00169                 <span class="keywordflow">for</span>(x=0; x&lt;width; x++)
<a name="l00170"></a>00170                 {
<a name="l00171"></a>00171                     <span class="keywordflow">if</span>(in_pixel[0]&lt;64)
<a name="l00172"></a>00172                     {
<a name="l00173"></a>00173                         out_pixel[0] = 0xFF;
<a name="l00174"></a>00174                         out_pixel[1] = 0x00;
<a name="l00175"></a>00175                         out_pixel[2] = 0x00;
<a name="l00176"></a>00176                     }
<a name="l00177"></a>00177                     <span class="keywordflow">else</span>
<a name="l00178"></a>00178                     <span class="keywordflow">if</span>(in_pixel[0]&lt;128)
<a name="l00179"></a>00179                     {
<a name="l00180"></a>00180                         out_pixel[0] = 0x00;
<a name="l00181"></a>00181                         out_pixel[1] = 0xFF;
<a name="l00182"></a>00182                         out_pixel[2] = 0x00;
<a name="l00183"></a>00183                     }
<a name="l00184"></a>00184                     <span class="keywordflow">else</span>
<a name="l00185"></a>00185                     <span class="keywordflow">if</span>(in_pixel[0]&lt;192)
<a name="l00186"></a>00186                     {
<a name="l00187"></a>00187                         out_pixel[0] = 0x00;
<a name="l00188"></a>00188                         out_pixel[1] = 0x00;
<a name="l00189"></a>00189                         out_pixel[2] = 0xFF;
<a name="l00190"></a>00190                     }
<a name="l00191"></a>00191                     <span class="keywordflow">else</span>
<a name="l00192"></a>00192                     {
<a name="l00193"></a>00193                         out_pixel[0] = 0xFF;
<a name="l00194"></a>00194                         out_pixel[1] = 0xFF;
<a name="l00195"></a>00195                         out_pixel[2] = 0xFF;
<a name="l00196"></a>00196                     }
<a name="l00197"></a>00197                     in_pixel++;
<a name="l00198"></a>00198                     out_pixel += 3;
<a name="l00199"></a>00199                 }
<a name="l00200"></a>00200                 in_data_ptr += src_desc-&gt;imagepatch_addr[0U].stride_y;
<a name="l00201"></a>00201                 out_data_ptr += dst_desc-&gt;imagepatch_addr[0U].stride_y;
<a name="l00202"></a>00202             }
<a name="l00203"></a>00203         }
<a name="l00204"></a>00204 
<a name="l00205"></a>00205         tivxMemBufferUnmap(src_desc-&gt;mem_ptr[0].target_ptr,
<a name="l00206"></a>00206             src_desc-&gt;mem_size[0], src_desc-&gt;mem_ptr[0].mem_type,
<a name="l00207"></a>00207             VX_READ_ONLY);
<a name="l00208"></a>00208         tivxMemBufferUnmap(dst_desc-&gt;mem_ptr[0].target_ptr,
<a name="l00209"></a>00209             dst_desc-&gt;mem_size[0], dst_desc-&gt;mem_ptr[0].mem_type,
<a name="l00210"></a>00210             VX_WRITE_ONLY);
<a name="l00211"></a>00211 
<a name="l00212"></a>00212     }
<a name="l00213"></a>00213 
<a name="l00214"></a>00214     <span class="keywordflow">return</span> (status);
<a name="l00215"></a>00215 }
<a name="l00216"></a>00216 
<a name="l00225"></a><a class="code" href="phase__rgb__target__kernel_8c.html#ab934a0610fc7f8ddaac5e4956694965f">00225</a> vx_status VX_CALLBACK <a class="code" href="phase__rgb__target__kernel_8c.html#ab934a0610fc7f8ddaac5e4956694965f" title="Target kernel create function.">vxTutotrialPhaseRgbCreate</a>(tivx_target_kernel_instance kernel, tivx_obj_desc_t *param_obj_desc[], uint16_t num_params, <span class="keywordtype">void</span> *priv_arg)
<a name="l00226"></a>00226 {
<a name="l00227"></a>00227     vx_status status = VX_SUCCESS;
<a name="l00228"></a>00228 
<a name="l00229"></a>00229     <span class="keywordflow">return</span> status;
<a name="l00230"></a>00230 }
<a name="l00231"></a>00231 
<a name="l00240"></a><a class="code" href="phase__rgb__target__kernel_8c.html#ad4beb7eefc9e7e11cb3a29b7a0f827bf">00240</a> vx_status VX_CALLBACK <a class="code" href="phase__rgb__target__kernel_8c.html#ad4beb7eefc9e7e11cb3a29b7a0f827bf" title="Target kernel delete function.">vxTutotrialPhaseRgbDelete</a>(tivx_target_kernel_instance kernel, tivx_obj_desc_t *param_obj_desc[], uint16_t num_params, <span class="keywordtype">void</span> *priv_arg)
<a name="l00241"></a>00241 {
<a name="l00242"></a>00242     vx_status status = VX_SUCCESS;
<a name="l00243"></a>00243 
<a name="l00244"></a>00244     <span class="keywordflow">return</span> status;
<a name="l00245"></a>00245 }
<a name="l00246"></a>00246 
<a name="l00255"></a><a class="code" href="phase__rgb__target__kernel_8c.html#a5920f42e3995c3ef87e71d0f30db904e">00255</a> vx_status VX_CALLBACK <a class="code" href="phase__rgb__target__kernel_8c.html#a5920f42e3995c3ef87e71d0f30db904e" title="Target kernel control function.">vxTutotrialPhaseRgbControl</a>(tivx_target_kernel_instance kernel, tivx_obj_desc_t *param_obj_desc[], uint16_t num_params, <span class="keywordtype">void</span> *priv_arg)
<a name="l00256"></a>00256 {
<a name="l00257"></a>00257     vx_status status = VX_SUCCESS;
<a name="l00258"></a>00258 
<a name="l00259"></a>00259     <span class="keywordflow">return</span> status;
<a name="l00260"></a>00260 }
<a name="l00261"></a>00261 
<a name="l00266"></a><a class="code" href="vx__tutorial__target__kernel_8c.html#aa8d4aa689401f9c9c575082455a0c4bb">00266</a> <span class="keywordtype">void</span> <a class="code" href="phase__rgb__target__kernel_8c.html#aa8d4aa689401f9c9c575082455a0c4bb" title="Add target kernel to TIOVX framework.">vxTutorialAddTargetKernelPhaseRgb</a>(<span class="keywordtype">void</span>)
<a name="l00267"></a>00267 {
<a name="l00268"></a>00268     <span class="keywordtype">char</span> target_name[TIVX_TARGET_MAX_NAME];
<a name="l00269"></a>00269     vx_enum self_cpu;
<a name="l00270"></a>00270 
<a name="l00277"></a>00277     self_cpu = tivxGetSelfCpuId();
<a name="l00280"></a>00280     <span class="keywordflow">if</span> ((self_cpu == TIVX_CPU_ID_DSP1) || (self_cpu == TIVX_CPU_ID_DSP2))
<a name="l00281"></a>00281     {
<a name="l00287"></a>00287         <span class="keywordflow">if</span> (self_cpu == TIVX_CPU_ID_DSP1)
<a name="l00288"></a>00288         {
<a name="l00289"></a>00289             strncpy(target_name, TIVX_TARGET_DSP1,
<a name="l00290"></a>00290                 TIVX_TARGET_MAX_NAME);
<a name="l00291"></a>00291         }
<a name="l00292"></a>00292         <span class="keywordflow">else</span>
<a name="l00293"></a>00293         {
<a name="l00294"></a>00294             strncpy(target_name, TIVX_TARGET_DSP2,
<a name="l00295"></a>00295                 TIVX_TARGET_MAX_NAME);
<a name="l00296"></a>00296         }
<a name="l00313"></a>00313         <a class="code" href="phase__rgb__target__kernel_8c.html#af39e389b0e30c41e703a7100ad025fbe" title="Target kernel handle [static global].">phase_rgb_target_kernel</a> = tivxAddTargetKernel(
<a name="l00314"></a>00314                     <a class="code" href="vx__tutorial__kernels_8h.html#ad313f6307d27fea48432e16f1577d7bea81087035def5daa8186e02bc1f41979e" title="Converts Phase output to RGB image.">TIVX_TUTORIAL_KERNEL_PHASE_RGB</a>,
<a name="l00315"></a>00315                     target_name,
<a name="l00316"></a>00316                     <a class="code" href="phase__rgb__target__kernel_8c.html#aa7f2b3c5cb1853a9e491483616a93fe8" title="Target kernel run function.">vxTutotrialPhaseRgb</a>,
<a name="l00317"></a>00317                     <a class="code" href="phase__rgb__target__kernel_8c.html#ab934a0610fc7f8ddaac5e4956694965f" title="Target kernel create function.">vxTutotrialPhaseRgbCreate</a>,
<a name="l00318"></a>00318                     <a class="code" href="phase__rgb__target__kernel_8c.html#ad4beb7eefc9e7e11cb3a29b7a0f827bf" title="Target kernel delete function.">vxTutotrialPhaseRgbDelete</a>,
<a name="l00319"></a>00319                     <a class="code" href="phase__rgb__target__kernel_8c.html#a5920f42e3995c3ef87e71d0f30db904e" title="Target kernel control function.">vxTutotrialPhaseRgbControl</a>,
<a name="l00320"></a>00320                     NULL);
<a name="l00322"></a>00322     }
<a name="l00323"></a>00323 }
<a name="l00324"></a>00324 
<a name="l00329"></a><a class="code" href="vx__tutorial__target__kernel_8c.html#a19db36fd62a30ed433d818de092094ee">00329</a> <span class="keywordtype">void</span> <a class="code" href="phase__rgb__target__kernel_8c.html#a19db36fd62a30ed433d818de092094ee" title="Remove target kernel from TIOVX framework.">vxTutorialRemoveTargetKernelPhaseRgb</a>(<span class="keywordtype">void</span>)
<a name="l00330"></a>00330 {
<a name="l00331"></a>00331     vx_status status = VX_SUCCESS;
<a name="l00332"></a>00332 
<a name="l00341"></a>00341     status = tivxRemoveTargetKernel(<a class="code" href="phase__rgb__target__kernel_8c.html#af39e389b0e30c41e703a7100ad025fbe" title="Target kernel handle [static global].">phase_rgb_target_kernel</a>);
<a name="l00344"></a>00344     <span class="keywordflow">if</span> (VX_SUCCESS == status)
<a name="l00345"></a>00345     {
<a name="l00346"></a>00346         <a class="code" href="phase__rgb__target__kernel_8c.html#af39e389b0e30c41e703a7100ad025fbe" title="Target kernel handle [static global].">phase_rgb_target_kernel</a> = NULL;
<a name="l00347"></a>00347     }
<a name="l00348"></a>00348 }
<a name="l00349"></a>00349 
</pre></div></div>

<html>
<table bordercolor="#FFFFFF" bgcolor="#FFFFFF" width="100%">
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000"><b><i>
        &copy Copyright 2017 Texas Instruments Incorporated. All rights reserved. </i></b></font></td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000">
        Document generated by <b><i> doxygen </i></b> 1.6.1
  </font></td>
</tr>
</table>
